Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.grogra.mtg
Class MTGVoxel

    java.lang.Object
      de.grogra.mtg.MTGVoxel

    public class MTGVoxel

extends java.lang.Object

Field Summary
`static int` | `voxelsNumber`

Constructor Summary
`MTGVoxel(int branchIndex)`
`MTGVoxel(int branchIndex, Vector3d min, Vector3d max)`

Method Summary
`boolean` | `equals(MTGVoxel another)`
`int` | `getBranchIndex()`
`double` | `getDeltax()`
`double` | `getDeltay()`
`double` | `getDeltaz()`
`Vector3d` | `getMax()`
`Vector3d` | `getMin()`
`void` | `setDeltax(double deltax)`
`void` | `setDeltay(double deltay)`
`void` | `setDeltaz(double deltaz)`
`void` | `setMax(Vector3d max)`
`void` | `setMin(Vector3d min)`
`void` | `translate()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### voxelsNumber

    public static int voxelsNumber

Constructor Detail

### MTGVoxel

    public MTGVoxel(int branchIndex)

### MTGVoxel

    public MTGVoxel(int branchIndex,
                    Vector3d min,
                    Vector3d max)

Method Detail

### equals

    public boolean equals(MTGVoxel another)

### getBranchIndex

    public int getBranchIndex()

### getDeltax

    public double getDeltax()

### getDeltay

    public double getDeltay()

### getDeltaz

    public double getDeltaz()

### getMax

    public Vector3d getMax()

### getMin

    public Vector3d getMin()

### setDeltax

    public void setDeltax(double deltax)

### setDeltay

    public void setDeltay(double deltay)

### setDeltaz

    public void setDeltaz(double deltaz)

### setMax

    public void setMax(Vector3d max)

### setMin

    public void setMin(Vector3d min)

### translate

    public void translate()

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD